Skip to main content
PATCH
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
instructions
/
{instructionId}
Update Instruction
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/instructions/{instructionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "instruction": "<string>",
  "creativityLevel": 0.5,
  "deletable": true,
  "isActive": true
}
'
{
  "success": true,
  "message": "Instruction settings updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Customer Support",
    "instruction": "You are a helpful customer support agent...",
    "deletable": false,
    "isActive": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
instructionId
string
required

Body

application/json
title
string
Maximum string length: 100
instruction
string
creativityLevel
number<float>
Required range: 0 <= x <= 1
deletable
boolean
isActive
boolean

Response

Updated

success
boolean
Example:

true

message
string
Example:

"Instruction settings updated successfully"

data
object